/***************************************************************************
 *   Copyright (C) 2006 by Dave Parker                                     *
 *   drp@ezeedsl.co.uk                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "colour.h"
#include "image.h"
#include <iostream>
#include <SDL.h>

using namespace std;

// Image (bitmap) class

/**
 * Load image from file
 * @param dest
 * @param fn
 * @return
 */
Image::Image ( const Surface& dest, string fn )
{
    cout << "loading image " << fn << endl;
    SDL_Surface* temp = SDL_LoadBMP ( fn.c_str() );
    SetSurface ( SDL_ConvertSurface ( temp, dest.Format(), SDL_SWSURFACE ) );
    SDL_FreeSurface ( temp );
}




