/***************************************************************************
 *   Copyright (C) 2006 by Dave Parker                                     *
 *   drp@ezeedsl.co.uk                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "screen.h"
#include "colour.h"
#include <iostream>

using namespace std;

/**
 * Construct 16 bit colour screen of given size
 * @param w
 * @param h
 * @return
 */
Screen::Screen ( int w, int h )
{
    SetSurface ( SDL_SetVideoMode ( w, h, 16, SDL_SWSURFACE|SDL_HWPALETTE ) );
}


/**
 * Lock screen
 * @param
 */
void Screen::Lock ( void )
{
    if ( SDL_MUSTLOCK ( surface ) )
    {
        SDL_LockSurface ( surface );
    }
}


/**
 * Unlock screen
 * @param
 */
void Screen::Unlock ( void )
{
    if ( SDL_MUSTLOCK ( surface ) )
    {
        SDL_UnlockSurface ( surface );
    }
}


/**
 * Update whole screen
 * @param
 */
void Screen::Update ( void )
{
    SDL_UpdateRect ( GetSurface(), 0, 0, GetWidth(), GetHeight() );
}



